#ifndef __GLOBAL_DEFS__
#define __GLOBAL_DEFS__

#include <stdio.h>
#include "globdef.h"

#define	REAL_DISK			1
#define	DISK_IMAGE			2
#define	HOST_FILESYSTEM		3



typedef struct
{
	char	*DirectoryPath;
	char	*Filename;
} FILESYSTEM_UNIT;


typedef struct
{
     int     Track;
	int	DiskUnitID;




} DISK_UNIT;

typedef struct
{
	int	 DriveType;					/* type */

	/* physical h/w type pointer */
	void	*pDriveData;			/* pointer to disk image, or drive data
									specific to driver */

	/* filesystem type data */
	void	*pFSData;


} DRIVE_DATA;

#define CPC_FILEHANDLE_READ	0
#define CPC_FILEHANDLE_WRITE	1

typedef struct
{
	char	*Filename;
	int		Access;

	void	*pFSFHData;					/* file system file-handle */
	void	*pFSData;					/* file system data */
	DRIVE_DATA	*pDriveData;




	FILE	*fh;								/* Host filehandle */

} CPC_FILEHANDLE;

typedef struct
{
	char	*pFilename;
	int		FileSize;
} CPC_DIRLIST_ENTRY;

#endif
