#ifndef __DISKIMAGE_STRUCTS_INCLUDED__
#define __DISKIMAGE_STRUCTS_INCLUDED__

typedef struct
{
	int		DiskImgType;

	char	*DiskImageFileName;
	FILE	*DiskImageFileHandle;

	/* disk image data */
	char	DskTrackHeader[256];
	char	DskHeader[256];
	int		TrackSize;
	int     NumSides;
	int     TrackOffset;
	int     SectorOffset;
	int      TrackOffsetTable[255-4-14-33];
} DSK_UNIT_DATA;

typedef struct
{
	int	SectorsPerTrack;
	int	NumberOfSides;
	int	FirstSectorID;
	int	SectorNSize;
} FORMAT_DATA;

#endif

